Description: Install the dynamic library properly and add a soname.
Forwarded: no
Author: Peter Pentchev <roam@ringlet.net>
Last-Update: 2010-08-27

--- a/x11/Makefile.in
+++ b/x11/Makefile.in
@@ -7,6 +7,8 @@
 
 PDCURSES_SRCDIR	= ..
 
+include $(PDCURSES_SRCDIR)/version.mif
+
 osdir		= .
 srcdir		= $(PDCURSES_SRCDIR)/pdcurses
 demodir		= $(PDCURSES_SRCDIR)/demos
@@ -21,7 +23,7 @@
 SHLPRE		= @SHLPRE@
 SHLPST		= @SHLPST@
 LD_RXLIB1	= @LD_RXLIB1@
-LD_RXLIB2	= @MH_XLIBS@ @MH_EXTRA_LIBS@ -lc
+LD_RXLIB2	= @MH_XLIBS@ @MH_EXTRA_LIBS@ -lc -Wl,-soname -Wl,$(SHLPRE)$(SHLFILE)$(SHLPST).$(VERMAJ)
 
 CFLAGS		= @CFLAGS@
 
--- a/Makefile.in
+++ b/Makefile.in
@@ -48,10 +48,12 @@
 	$(INSTALL) -c -m 644 $(pdcursesdir)/libXCurses.a $(libdir)/libXCurses.a
 	-$(RANLIB) $(libdir)/libXCurses.a
 	-$(INSTALL) -c -m 755 $(pdcursesdir)/$(SHLPRE)$(SHLFILE)$(SHLPST) \
-		$(libdir)/$(SHLPRE)$(SHLFILE)$(SHLPST)
-	ln -f -s $(libdir)/$(SHLPRE)$(SHLFILE)$(SHLPST) \
-		$(libdir)/$(SHLPRE)Xpanel$(SHLPST)
-	ln -f -s $(libdir)/libXCurses.a $(libdir)/libXpanel.a
+		$(libdir)/$(SHLPRE)$(SHLFILE)$(SHLPST).$(VERMAJ).$(VERDOT)
+	ln -f -s $(SHLPRE)$(SHLFILE)$(SHLPST).$(VERMAJ).$(VERDOT) \
+		$(libdir)/$(SHLPRE)$(SHLFILE)$(SHLPST).$(VERMAJ)
+	ln -f -s $(SHLPRE)$(SHLFILE)$(SHLPST).$(VERMAJ) \
+		$(libdir)/$(SHLPRE)Xpanel$(SHLPST).$(VERMAJ)
+	ln -f -s libXCurses.a $(libdir)/libXpanel.a
 	-$(RANLIB) $(libdir)/libXpanel.a
 	$(INSTALL) -c -m 755 x11/xcurses-config $(bindir)/xcurses-config
 
--- a/version.mif
+++ b/version.mif
@@ -2,3 +2,4 @@
 
 VER = 34
 VERDOT = 3.4
+VERMAJ = 0
